Below is the list of changes that have just been committed into a local
4.0 repository of lenz. When lenz does a push these changes will
be propagated to the main repository and, within 24 hours after the
push, to the public repository.
For information on how to access the public repository
see http://dev.mysql.com/doc/mysql/en/installing-source-tree.html
ChangeSet
1.2130 05/08/04 12:22:51 lenz@stripped +1 -0
- Fixed the creation of the mysql user group account in the postinstall section of
the MySQL-server RPM spec file (BUG#12348)
support-files/mysql.spec.sh
1.92 05/08/04 12:22:47 lenz@stripped +6 -1
- Fixed the creation of the mysql user group account in the postinstall section
(BUG#12348)
# This is a BitKeeper patch. What follows are the unified diffs for the
# set of deltas contained in the patch. The rest of the patch, the part
# that BitKeeper cares about, is below these diffs.
# User: lenz
# Host: metis.lenznet
# Root: /space/my/mysql-4.0-build
--- 1.91/support-files/mysql.spec.sh 2005-07-15 08:54:06 +02:00
+++ 1.92/support-files/mysql.spec.sh 2005-08-04 12:22:47 +02:00
@@ -371,7 +371,7 @@
# Create a MySQL user and group. Do not report any problems if it already
# exists.
-groupadd -r -c "MySQL server" %{mysqld_user} 2> /dev/null || true
+groupadd -r %{mysqld_user} 2> /dev/null || true
useradd -M -r -d $mysql_datadir -s /bin/bash -c "MySQL server" -g %{mysqld_user} %{mysqld_user} 2> /dev/null || true
# Change permissions so that the user that will run the MySQL daemon
@@ -562,6 +562,11 @@
# itself - note that they must be ordered by date (important when
# merging BK trees)
%changelog
+* Thu Aug 04 2005 Lenz Grimmer <lenz@stripped>
+
+- Fixed the creation of the mysql user group account in the postinstall
+ section (BUG 12348)
+
* Fri Jul 15 2005 Lenz Grimmer <lenz@stripped>
- create a "mysql" user group and assign the mysql user account to that group
| Thread |
|---|
| • bk commit into 4.0 tree (lenz:1.2130) BUG#12348 | lenz | 4 Aug |